Bug 1132710 - rebase zsh to 4.3.11
Summary: rebase zsh to 4.3.11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: zsh
Version: 6.7
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Kamil Dudka
QA Contact: Jan Kepler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-21 21:25 UTC by Matt Goldman
Modified: 2019-05-20 11:15 UTC (History)
7 users (show)

Fixed In Version: zsh-4.3.11-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Rebase package(s) to version: zsh-4.3.11 Highlights, important fixes, or notable enhancements: * Parameter expansion has been enhanced to provide the ${NAME:OFFSET} and ${NAME:OFFSET:LENGTH} syntax for substrings and subarrays present in several other shells. * Numeric expansion with braces has been extended so that a step may be given, as in {3..9..2}. * See /usr/share/doc/zsh/NEWS for details.
Clone Of:
Environment:
Last Closed: 2015-07-22 06:02:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1273 normal SHIPPED_LIVE zsh bug fix and enhancement update 2015-07-20 17:49:21 UTC

Comment 1 Justin Garrison 2014-08-22 15:35:06 UTC
Another bug that I came across with the existing 4.3.10 version of zsh is in command completion. Logging in via ssh with a command completion with an r causes zsh to fail to load with the following error

*** glibc detected *** -zsh: double free or corruption (fasttop): 0x0000000001473db0 ***
*** glibc detected *** -zsh: double free or corruption (fasttop): 0x0000000001473db0 ***
*** glibc detected *** -zsh: double free or corruption (fasttop): 0x0000000001473db0 ***

more info can be found here http://www.zsh.org/mla/workers/2012/msg00688.html

I didn't test with 4.3.11 but the bug does not happen with 5.0.5.

Comment 3 Kamil Dudka 2014-11-12 18:01:18 UTC
(In reply to Justin Garrison from comment #1)
> I didn't test with 4.3.11 but the bug does not happen with 5.0.5.

The above issue is unrelated to this bug.  It seems to be fixed in 5.0.1:

http://sourceforge.net/p/zsh/code/ci/cba5449c

Please open a separate bug with clear steps to reproduce.

Comment 10 errata-xmlrpc 2015-07-22 06:02:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1273.html


Note You need to log in before you can comment on or make changes to this bug.